Subject: How do I compile egcs-1.1.1 under Cygwin B20.1?
From: [email-masked] (Christian Jönsson)

6 Dec 1998 09:52:38 -0800
Message-ID: <007001be211f$36db5840$4e28c6c3.cygnus.gnu-win32@p4kpm>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 8bit
To: <[email-masked]>
Cc: <[email-masked]>

I just got the Cygwin B20.1 installed (the recursive configure bug is fixed) and tried to compile egcs-1.1.1. The configure went well, I guess, but the bootstrap failed with

  ./xgcc -B./ -O2 -I../../egcs-1.1.1/gcc/../winsup/include  -DIN_GCC    -g -I./include   -g1 -DHAVE_GTHR_DEFAULT -DIN_LIBGCC2 -D__GCC_FLOAT_NOT_NEEDED   -I. -I../../egcs-1.1.1/gcc -I../../egcs-1.1.1/gcc/config -c -DL${name} \
      ../../egcs-1.1.1/gcc/libgcc2.c -o ${name}.o; \
  if [ $? -eq 0 ] ; then true; else exit 1; fi; \
  ` if [ -f /tmp/objdir/gcc/../binutils/ar ] ; then echo /tmp/objdir/gcc/../binutils/ar ; else if [ "i586-pc-cygwin32" = "i586-pc-cygwin32" ] ; then echo ar; else t='s,x,x,'; echo ar | sed -e $t ; fi; fi` rc tmplibgcc2.a ${name}.o; \
  rm -f ${name}.o; \
done
_muldi3
.../../egcs-1.1.1/gcc/libgcc2.c:41: stdlib.h: No such file or directory
.../../egcs-1.1.1/gcc/libgcc2.c:42: unistd.h: No such file or directory
make[2]: *** [libgcc2.a] Error 1

When configure was run, it was only given the argument --enable-threads.

Any hints?

/ChJ

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".